summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-06 12:33:35 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-06 21:12:44 +0100
commitca650a36a45acf22b6e25e58a23a7c4d71bb1d02 (patch)
tree27fe204bb819f5d2b259e047d21cc51938246580 /tests
parent417528ec02cb93d3bc7f507572d2096585ee57b2 (diff)
test suite: Provide a stunt dgit
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tstunt/dgit9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/tstunt/dgit b/tests/tstunt/dgit
new file mode 100755
index 0000000..3a9751d
--- /dev/null
+++ b/tests/tstunt/dgit
@@ -0,0 +1,9 @@
+#!/bin/bash
+# NB This requires use of t-chain-test-somehow.
+set -ex
+oldpwd=$(pwd)
+cd "$DGIT_TEST_TROOT/.."
+. tests/lib
+cd "$oldpwd"
+trap '' EXIT # preserves our exit status
+t-dgit "$@"